Draft Drawing/sv: Difference between revisions

From FreeCAD Documentation
(page)
 
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Drawing|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Drafting Drawing}}
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Drawing}}


====Beskrivning====
==Description==


This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created.
detta verktyg tillåter dig att lägga valda objekt på ett svg [[Drawing Module/sv|ritningsark]].


[[Image:Draft drawing example.jpg|640px]]
====Bruk====


==How to use==
* Välj de objekt som du vill ha på ritningsarket.
* Addera i samma val det sidobjekt som du vill rita dina objekt på. Om det inte finns någon existerande sida, så kommer en ny att skapas. Om du inte valde en sida, men det finns åtminstone en i dokumentet, så kommer den som hittas först att användas som underlag.
* De objekt som visas på ritningssidan kommer att använda den skala och offsetvärden som värdsidan har. Försäkra dig om att ställa in dessa värden innan.
* Du kan ändra objektens skala och offset när som helst.
* Ställ in/justera linjebredden. Högre värden kommer att resultera i tjockare linjer.
* Ställ in/justera textstorleken. Högre värden kommer att resultera i större text.
* Om du valde ett existerande ark, och du har valt objekt som redan finns på det arket (till exempel för ett "Rectangle" objekt så finns det redan ett "ViewRectangle" objekt på arket), så kommer de att ersättas. Detta tillåter dig att helt enkelt välja alla objekt och skicka dem till en existerande sida, vilken kommer att uppdateras.


# Select the objects you wish to put on a drawing sheet
{{clear}}
{{languages/sv | {{en|Draft Drawing}} {{es|Draft Drawing/es}} {{fr|Draft Drawing/fr}} }}
# Press the {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button

==Options==

* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* If the selected object is an [[Arch SectionPlane]], this tool will create an additional view of that section plane.
* In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
* If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

==Properties==

* {{PropertyData|Fill Style}}: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
* {{PropertyData|Font Size}}: Allows you to specify the font size of texts and dimensions.
* {{PropertyData|Line Width}}: Allows you to specify the line width of viewed objects.

==Scripting==

The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:

<syntaxhighlight>
makeDrawingView (object,page)
</syntaxhighlight>

* Adds a view of the given object to the given page.
* Returns the created view object.

Example:

<syntaxhighlight>
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
</syntaxhighlight>

<languages/>

Revision as of 23:11, 13 February 2014

Draft_Drawing

Menu location
Drafting -> Drawing
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool allows you to put selected objects on a svg Drawing sheet. If no sheet exists in the document, a default one will be created.

How to use

  1. Select the objects you wish to put on a drawing sheet
  2. Press the Draft Drawing button

Options

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DataFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DataFont Size: Allows you to specify the font size of texts and dimensions.
  • DataLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)